Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.poifs.filesystem
Class DocumentNode

    java.lang.Object
      org.apache.poi.poifs.filesystem.EntryNode
          org.apache.poi.poifs.filesystem.DocumentNode

All Implemented Interfaces:
  POIFSViewable, DocumentEntry, Entry

    public class DocumentNode

extends EntryNode
implements DocumentEntry, POIFSViewable

Simple implementation of DocumentEntry

Author:
  Marc Johnson (mjohnson at apache dot org)

Method Summary
`java.lang.String` | `getShortDescription()` Provides a short description of the object, to be used when a POIFSViewable object has not provided its contents.
`int` | `getSize()` get the zize of the document, in bytes
`java.lang.Object[]` | `getViewableArray()` Get an array of objects, some of which may implement POIFSViewable
`java.util.Iterator` | `getViewableIterator()` Get an Iterator of objects, some of which may implement POIFSViewable
`boolean` | `isDocumentEntry()` is this a DocumentEntry?
`boolean` | `preferArray()` Give viewers a hint as to whether to call getViewableArray or getViewableIterator

Methods inherited from class org.apache.poi.poifs.filesystem.EntryNode
`delete, getName, getParent, isDirectoryEntry, renameTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.poifs.filesystem.Entry
`delete, getName, getParent, isDirectoryEntry, renameTo`

Method Detail

### getSize

    public int getSize()

  get the zize of the document, in bytes

  Specified by:
    `getSize` in interface `DocumentEntry`
  Returns:
    size in bytes

### isDocumentEntry

    public boolean isDocumentEntry()

  is this a DocumentEntry?

  Specified by:
    `isDocumentEntry` in interface `Entry`
  Overrides:
    `isDocumentEntry` in class `EntryNode`
  Returns:
    true if the Entry is a DocumentEntry, else false

### getViewableArray

    public java.lang.Object[] getViewableArray()

  Get an array of objects, some of which may implement POIFSViewable

  Specified by:
    `getViewableArray` in interface `POIFSViewable`
  Returns:
    an array of Object; may not be null, but may be empty

### getViewableIterator

    public java.util.Iterator getViewableIterator()

  Get an Iterator of objects, some of which may implement POIFSViewable

  Specified by:
    `getViewableIterator` in interface `POIFSViewable`
  Returns:
    an Iterator; may not be null, but may have an empty back end store

### preferArray

    public boolean preferArray()

  Give viewers a hint as to whether to call getViewableArray or getViewableIterator

  Specified by:
    `preferArray` in interface `POIFSViewable`
  Returns:
    true if a viewer should call getViewableArray, false if a viewer should call getViewableIterator

### getShortDescription

    public java.lang.String getShortDescription()

  Provides a short description of the object, to be used when a POIFSViewable object has not provided its contents.

  Specified by:
    `getShortDescription` in interface `POIFSViewable`
  Returns:
    short description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD